### **Gardeners Green Thumb Decision Support System** (GGD-DDS)

The service of decision support system is inferring knowledge from the available data of the greenhouse, the user input, and historical data what a user/the gardener should do & which action a gardener should execute to be successful with the growing process of the plants. 
These actions are called goals. 
The list of inferred active goals is offered to other services of the system.  
 The approach of the DSS is based on three eu.hsrw.ias.ggd.MainExe concepts:

**Fact knowledge (Knowledgebase)**

1. Hardware Information(sensor data info)
2. Data information was given by an expert that is overwriting sensor data
3. User Input (We assume that the user is every time honest and that  input is every time correct)

**Rules (General structure, if premises then consequence)**
1. Explicit given by expert (before and during runtime)
   1. Battery
   2. Dielectric Permittivity 
   3. Precipitation
   4. Soil Conductivity
   5. Soil Moisture
   6. Soil Temperature
   7. Temperature
2. All this information is considered as facts which are part of the entire knowledge graph
3. One particular rule can be fire on multiple rules can be fired. User defined.

**Goals**
1. Goals are active rules which are able to change the fact 
2. Goals can be activated and deactivated based on the user preferences
3. Goals can have priorities

#### **Build**
Run the MainExe.java which is part of the eu.hsrw.ias.ggd package
#### **Usage**
You can reuse the project by changing the UserCredentials.java file located on the Credentials package.
It is possible to create new rules tailored to the needs.
#### **Examples**
For each sensor mentioned in the list of rules an example is given. You may change the values based on the needs of the expert/user.
#### **Dependencies**
drools.org